Bug 21162 - when trying to boot
when trying to boot
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0J
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-20 22:10 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-19 14:09:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-20 22:10:17 EST
Traceback (innermost last):
  File "/usr/bin/anaconda", line 449, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 412, in
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/examine_gui.py", line
19, in getNext
    self.todo.upgradeFindPackages (self.root)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 919, in
upgradeFindPackages
    fstab.readFstab('/mnt/sysimage/etc/fstab', self.fstab)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 1021, in
readFstab
    device = labelsByMount[label]
KeyError: /boot

Local variables in innermost frame:
loopIndex: {}
fstab: <fstab.GuiFstab instance at 84ef7a8>
labelsByMount: {'/': 'hda5'}
line: LABEL=/boot             /boot                   ext2   
defaults        1 2

path: /mnt/sysimage/etc/fstab
device: hda5
raidByDev: {}
label: /boot
fsystem: ext2
drives: ['hda']
lines: ['LABEL=/                 /                       ext2   
defaults        1 1\012', 'LABEL=/boot             /boot                  
ext2    defaults        1 2\012', '/dev/cdrom             
/mnt/cdrom              iso9660 noauto,owner,ro 0 0\012',
'/dev/fd0                /mnt/floppy             auto    noauto,owner    0
0\012', 'none                    /proc                   proc   
defaults        0 0\012', 'none                    /dev/pts               
devpts  gid=5,mode=620  0 0\012', '/dev/hda8              
swap                    swap    defaults        0 0\012']
labels: {'hda5': '/'}
fields: ['LABEL=/boot', '/boot', 'ext2', 'defaults', '1', '2']
f: <open file '/mnt/sysimage/etc/fstab', mode 'r' at 848c8c0>
raidList: []

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Mike A. Harris 2000-11-20 22:23:24 EST
This appears to be an anaconda bug, not an XFree one...
Comment 2 Michael Fulbright 2000-11-21 10:20:02 EST
Please attach all the steps required to reproduce this problem.
Comment 3 Michael Fulbright 2000-12-19 14:09:47 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.